import React, {Component} from 'react';
import PropTypes from 'prop-types';
import {Link} from 'react-router-dom';

export class App extends Component {
    static propTypes = {children: PropTypes.element};

    render() {
        return <div className="kitchenApp">
            <div className="nav">
                <div>
                    <Link className="title" to="/home">XL Components</Link>
                    <Link className="buttons" to="/buttons">Buttons</Link>
                    <Link className="tabsystem" to="/tabs">Tab system</Link>
                    <Link className="form" to="/form">Form</Link>
                    <Link className="dip" to="/dip">Dip</Link>
                    <Link className="widget" to="/widget">Widget</Link>
                </div>
            </div>
            <main>
                {this.props.children}
            </main>
        </div>;
    }
}
