export const MapKeyInputType = {password: 'password', text: 'text'};

export const getMapKeyInputType = (encrypted) => encrypted ? MapKeyInputType.password : MapKeyInputType.text;

export const isTextType = (typeValue) => MapKeyInputType.text === typeValue;

export const defaultState = {
    newKey: '',
    newValue: '',
    showNewKeyValueRow: false
};
