import PropTypes from 'prop-types';
import {xlMessageTypeProp} from '../xl-props/xl-message-type-prop';

export const XlReactWidgetContainerProps = {
    className: PropTypes.string,
    disabled: PropTypes.bool,
    displayMode: PropTypes.string,
    invalid: PropTypes.bool,
    message: xlMessageTypeProp,
    name: PropTypes.string,
    onMessageChange: PropTypes.func,
    onModelChange: PropTypes.func,
    onPristinityChange: PropTypes.func,
    onValidityChange: PropTypes.func,
    register: PropTypes.func,
    showParentMessages: PropTypes.bool,
    validators: PropTypes.arrayOf(PropTypes.func)
};
