import {Action, Expectation} from 'protractor-base-dsl';

export default class WidgetAlert {
    static expectMessage = (message) =>
        Expectation.textEquals('.testComponent .xl-react-alert-message', message);
    static isError = () =>
        Expectation.present('.testComponent .xl-react-alert-message.xl-react-alert-error');
    static isSuccess = () =>
        Expectation.present('.testComponent .xl-react-alert-message.xl-react-alert-success');
    static isWarning = () =>
        Expectation.present('.testComponent .xl-react-alert-message.xl-react-alert-warning');
    static selectError = () =>
        Action.click('.testComponent .alert-switcher input[value="error"]');
    static selectSuccess = () =>
        Action.click('.testComponent .alert-switcher input[value="success"]');
    static selectWarning = () =>
        Action.click('.testComponent .alert-switcher input[value="warning"]');
}
