import Navigation from '../../../dsl/common/navigation';
import WidgetAlert from '../../../dsl/component/widget/widget-alert';

describe('XL Widget Alert Message Scenario', () => {
    beforeAll(() => Navigation.openWidgetElement('widgetAlert1'));

    it('should properly show alert message depends on internal state', () => {
        WidgetAlert.expectMessage('Something went terribly wrong');
        WidgetAlert.selectError();
        WidgetAlert.isError();
        WidgetAlert.selectSuccess();
        WidgetAlert.isSuccess();
        WidgetAlert.selectWarning();
        WidgetAlert.isWarning();
    });
});
