import React from 'react';
import {mount} from 'enzyme/build/index';
import XlReactWidgetTableFilters
    from '~/app/xl-react-widget/xl-react-widget-redux-table/xl-react-widget-table-filters';

describe('xl-react-widget-table-filters', () => {
    it('should call handleRowClick if onRowClick is invoked', () => {
        mount(
            <XlReactWidgetTableFilters
                config={[
                    {
                        className: '',
                        fieldPath: 'as',
                        label: 'test label',
                        placeholder: 'placeholder',
                        position: {
                            column: 1,
                            row: 1
                        },
                        type: 'input'
                    },
                    {
                        className: '',
                        fieldPath: 'as',
                        label: 'test label',
                        placeholder: 'placeholder',
                        position: {
                            column: 2,
                            row: 1
                        },
                        type: 'input'
                    },
                    {
                        className: '',
                        fieldPath: 'as',
                        label: 'test label',
                        placeholder: 'placeholder',
                        position: {
                            column: 1,
                            row: 2
                        },
                        type: 'input'
                    },
                    {
                        className: '',
                        fieldPath: 'as',
                        label: 'test label',
                        placeholder: 'placeholder',
                        position: {
                            column: 2,
                            row: 2
                        },
                        type: 'input'
                    }
                ]}
                onFilterChange={jest.fn()}
            />
        );
    });
});
