#!/usr/bin/env bash

if [[ -z "$XLD_CI_EXPLORER_ROOT" ]]; then
    echo "XLD_CI_EXPLORER_ROOT env variable is not defined"
elif [ ! -d "$XLD_CI_EXPLORER_ROOT" ]; then
    echo "\"$XLD_CI_EXPLORER_ROOT\" does not exists"
else
    echo "Creating debug dist"
    ./node_modules/.bin/gulp build-debug-dist
    XLC_NODE_MODULES_LOCATION="$XLD_CI_EXPLORER_ROOT/node_modules/xl-react-components"
    if [ -d "$XLC_NODE_MODULES_LOCATION" ]; then
        echo "Copying debug dist to xld-ci-explorer"
        cp -r "./debugDist/dist" "$XLC_NODE_MODULES_LOCATION"
    else
        echo "XL React Components were not found inside node modules"
    fi
fi
