import {Action, Expectation} from 'protractor-base-dsl';

export const clickOnTitle = () => Action.jsClick('.testComponent .xl-react-category');
export const expectCategoryVisible = () => Expectation.displayed('.testComponent .xl-react-category-content');
export const expectCategoryNotVisible = () =>
    Expectation.notDisplayed('.testComponent .xl-react-category-content');

const WidgetCategory = {
    clickOnTitle,
    expectCategoryNotVisible,
    expectCategoryVisible
};

export default WidgetCategory;
global.WidgetCategory = WidgetCategory;
