import Navigation from '../../dsl/common/navigation';
import TestBindings from '../../dsl/common/test-bindings';
import Form from '../../dsl/component/form/form';

describe('XL Dip Dynamic Form with Category Options', () => {
    beforeAll(() => Navigation.openFormElement('dynamicFormWithCategoryOptions'));
    afterAll(() => TestBindings.resetPristinity());

    it('should not show common category title and other category should not be collapsible', () => {
        Form.expectCategoryNotCollapsible('Address');
        Form.expectCategoryTitleHidden('Common');
    });
});
