import {extractTotal} from '~/app/utils/http-utils';

describe('http-utils', () => {
    describe('extractTotal', () => {
        it('should extract total header from http response', () => {
            expect(extractTotal({'x-total-count': 10})).toEqual(10);
            expect(extractTotal({})).toBeUndefined();
        });
    });
});
