import R from 'ramda';
import {splitLines} from '~/app/utils/split-lines';

describe('Split Lines utils', () => {
    describe('splitLines', () => {
        it('should split lines by end of line characters', () => {
            const lines = splitLines('foo\r\nbar\r\nbaz\nrainbow');
            expect(R.map(R.trim, lines)).toEqual(['foo', 'bar', 'baz', 'rainbow']);
        });
    });
});
