import {buildFilterQuery} from '~/app/xl-react-widget/xl-react-widget-redux-table/query-builder-utils';

describe('filter-query-builder', () => {
    describe('buildFilterQuery', () => {
        it('should transform table filter configuration to API filter params', () => {
            const filters = [
                {
                    fieldPath: 'firstname',
                    model: 'John'
                },
                {
                    fieldPath: 'city',
                    model: 'New York'
                }
            ];

            const sortedFilters = buildFilterQuery(filters);
            expect(sortedFilters).toEqual({city: 'New York', firstname: 'John'});
        });
    });
});
